"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initProject = initProject;
const tslib_1 = require("tslib");
const workspace_utilities_1 = require("@rxap/workspace-utilities");
const coerce_git_ignore_1 = require("../../lib/coerce-git-ignore");
const coerce_typedoc_target_1 = require("../../lib/coerce-typedoc-target");
const update_project_ng_package_configuration_1 = require("./update-project-ng-package-configuration");
function initProject(tree, projectName, project, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        console.log(`init typedoc library project: ${projectName}`);
        (0, coerce_typedoc_target_1.CoerceTypedocTarget)(tree, projectName, project);
        if ((0, workspace_utilities_1.IsPublishable)(tree, project) && (0, workspace_utilities_1.IsAngularProject)(project)) {
            (0, update_project_ng_package_configuration_1.updateProjectNgPackageConfiguration)(tree, project);
        }
        (0, coerce_git_ignore_1.CoerceGitIgnore)(tree, projectName);
    });
}
//# sourceMappingURL=init-project.js.map