"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initGenerator = initGenerator;
const tslib_1 = require("tslib");
const devkit_1 = require("@nx/devkit");
const utilities_1 = require("@rxap/utilities");
const workspace_utilities_1 = require("@rxap/workspace-utilities");
const init_workspace_1 = require("./init-workspace");
function initGenerator(tree, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        var _a, _b;
        (_a = options.project) !== null && _a !== void 0 ? _a : (options.project = undefined);
        (_b = options.projects) !== null && _b !== void 0 ? _b : (options.projects = []);
        if (options.project) {
            (0, utilities_1.CoerceArrayItems)(options.projects, [options.project]);
        }
        console.log('typedoc init generator:', options);
        yield (0, init_workspace_1.initWorkspace)(tree, options);
        // const project = readProjectConfiguration(tree, 'workspace');
        // CoerceTypedocTarget(tree, 'workspace', project);
        // CoerceGitIgnore(tree, 'workspace');
        // updateProjectConfiguration(tree, 'workspace', project);
        (0, workspace_utilities_1.GenerateSerializedSchematicFile)(tree, '/', '@rxap/plugin-typedoc', 'init', options);
        if (!options.skipFormat) {
            yield (0, devkit_1.formatFiles)(tree);
        }
    });
}
exports.default = initGenerator;
//# sourceMappingURL=generator.js.map