"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initWorkspace = initWorkspace;
const tslib_1 = require("tslib");
const devkit_1 = require("@nx/devkit");
const workspace_utilities_1 = require("@rxap/workspace-utilities");
function initWorkspace(tree, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        console.log('init typedoc workspace');
        yield (0, workspace_utilities_1.AddPackageJsonDevDependency)(tree, 'typedoc', 'latest', { soft: true });
        const nxJson = (0, devkit_1.readNxJson)(tree);
        (0, workspace_utilities_1.CoerceTarget)(nxJson, 'typedoc', {
            executor: '@rxap/plugin-typedoc:build',
            outputs: ['{options.outputPath}'],
            inputs: ['production', '^production'],
        }, workspace_utilities_1.Strategy.OVERWRITE);
        (0, workspace_utilities_1.CoerceNxJsonCacheableOperation)(nxJson, 'typedoc');
        (0, devkit_1.updateNxJson)(tree, nxJson);
    });
}
//# sourceMappingURL=init-workspace.js.map