"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CoerceTypedocTarget = CoerceTypedocTarget;
const workspace_utilities_1 = require("@rxap/workspace-utilities");
const path_1 = require("path");
function CoerceTypedocTarget(tree, projectName, project) {
    const projectRoot = (0, workspace_utilities_1.GetProjectRoot)(tree, projectName);
    const outputPath = ['/', '', '.'].some(item => item === projectRoot) ? projectName : projectRoot;
    (0, workspace_utilities_1.CoerceTarget)(project, 'typedoc', {
        options: {
            outputPath: [
                (0, path_1.join)('dist', 'docs', outputPath),
                (0, path_1.join)(projectRoot, 'docs'),
            ],
        }
    }, workspace_utilities_1.Strategy.OVERWRITE);
    if ((0, workspace_utilities_1.IsPublishable)(tree, project) && !(0, workspace_utilities_1.IsAngularProject)(project) && (0, workspace_utilities_1.HasTarget)(tree, projectName, 'build')) {
        const target = (0, workspace_utilities_1.GetTarget)(project, 'build');
        if (target.options['assets']) {
            const projectRoot = (0, workspace_utilities_1.GetProjectRoot)(tree, projectName);
            (0, workspace_utilities_1.CoerceAssets)(target.options.assets, [(0, path_1.join)(projectRoot, 'docs')]);
        }
    }
}
//# sourceMappingURL=coerce-typedoc-target.js.map